This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1476333 - Setting HeatAuthEncryptionKey in an environment file isn't setting the value in deployments
Setting HeatAuthEncryptionKey in an environment file isn't setting the value ...
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
9.0 (Mitaka)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Thomas Hervé
Gurenko Alex
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-28 12:18 EDT by David Hill
Modified: 2017-09-28 06:52 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Hill 2017-07-28 12:18:29 EDT
Description of problem:
Setting HeatAuthEncryptionKey in an environment file isn't setting the value in deployments but it works if we override it with :
  controllerExtraConfig:
    heat::engine::auth_encryption_key: new_key


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try overriding the auth_encryption_key using HeatAuthEncryptionKey
2.
3.

Actual results:
Doesn't update the key

Expected results:
Should update the key

Additional info:
We can see both values in hiera data and since ExtraConfig overrides the default configuration, it works.

Note You need to log in before you can comment on or make changes to this bug.